10ec:b723 [Lenovo B5400] Realtek RTL8723BE drops connection until reboot

Bug #1451233 reported by Paweł Kowalik
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

I have a Lenovo B5400 laptop with RTL8723BE wireless module. Using 802.11n the internet connection constantly getting lost after a random duration (usually after 20-30 minutes). The NetworkManager applet does not recognize it (still looks like i have a connection), but when I try do disconnect and connect again, there is only one useful information I can find in dmesg:
"wlan0: deauthenticating from [ap mac address] by local choice (Reason: 3=DEAUTH_LEAVING)"
Reinserting the driver (modprobe -r rtl8723be and modprobe rtl8723) used to be my only workaround, but it does not work anymore and now I have to reboot.

Router Manufacturer: EDIMAX
Model: BR-6214K
Firmware version: 1.40 2008/11/03 08:33:04

Switching to 802.11g (54Mb/s) shows a small performance improvement while browsing websites. However there are still random "ping jumps" and the connection still drops (maybe 1-2 minutes later than usual at least).

The following improves performance, but I am still encountering some minor performance issues while playing online games (random lag spikes):
sudo nano /etc/modprobe.d/rtl8723be.conf
options rtl8723be ips=0 fwlps=0

---
ApportVersion: 2.14.1-0ubuntu3.11
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: pk 1907 F.... pulseaudio
 /dev/snd/controlC0: pk 1907 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=4ce160f4-029c-4fd5-ba3f-254c6e3e33dd
InstallationDate: Installed on 2015-05-24 (0 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
MachineType: LENOVO 20278
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-38-generic root=UUID=a9da170f-b86b-434f-910b-00929ceb8420 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.16.0-38.52~14.04.1-generic 3.16.7-ckt10
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-38-generic N/A
 linux-backports-modules-3.16.0-38-generic N/A
 linux-firmware 1.127.12
Tags: trusty
Uname: Linux 3.16.0-38-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/03/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: J7ET61WW (2.06 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20278 QB0
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrJ7ET61WW(2.06):bd03/03/2014:svnLENOVO:pn20278:pvrB5400:rvnLENOVO:rn20278QB0:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20278
dmi.product.version: B5400
dmi.sys.vendor: LENOVO

affects: linux-lts-utopic (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Revision history for this message
Paweł Kowalik (pkowalik) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected
description: updated
Revision history for this message
Paweł Kowalik (pkowalik) wrote : BootDmesg.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : CRDA.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : IwConfig.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : Lspci.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : Lsusb.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : ProcEnviron.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : ProcModules.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : PulseList.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : RfKill.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : UdevDb.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : UdevLog.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : WifiSyslog.txt

apport information

Revision history for this message
Paweł Kowalik (pkowalik) wrote : Re: Realtek RTL8723BE drops connection until reboot

One more important note. Currently I am using rtl8723be module with disabled "fwlps" and "ips" parameters and connection is now stable for about 3 hours as well as ICMP packets work better (stable 20-30ms to local country website without "jumps" to about 100ms for each 5 packets). I am going to continue testing my Wi-Fi connection for next few hours (HTTP, P2P, streaming, online gaming) and report results here.

tags: added: bios-outdated-2.08
Revision history for this message
Paweł Kowalik (pkowalik) wrote :

BIOS updated:
J7ET63WW (2.08 )
03/24/2015

It's hard to say for now, that it changed anything. The connection remains stable since yesterday (still using disabled "fwlps" and "ips" parameters). I am still ecountering some minor performance issues while playing online games (random lag spikes), but the bug is about connection dropping, so I guess the problem is solved.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Paweł Kowalik, just to clarify, if you have to use WORKAROUNDs like fwlps/ips=0, then the root problem of having to adjust those parameters wouldn't be considered solved.

Also, regarding filing reports upstream, it's not considered an upstream issue unless you have tested the latest mainline kernel (not default Ubuntu kernel).

Hence, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where XY and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Low → Medium
description: updated
tags: added: latest-bios-2.08
removed: bios-outdated-2.08
Revision history for this message
Paweł Kowalik (pkowalik) wrote :

I've been testing the following kernel:
Linux 4.1.0-040100rc5-generic #201505250235 SMP Mon May 25 02:37:02 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

After installing this version I was not able to connect to my wireless network at all until 3rd reboot (dmesg showed timeout after 3 retries). After that the connection is working but I still get disconnected after few minutes and only reboot helps. Please note that I'm not using any workarounds for now as suggested.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.1-rc5
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Paweł Kowalik (pkowalik) wrote :

I have an access point connected directly to my old router:

Manufacturer: TP-LINK
Model: TL-WA701N
Firmware version: 3.12.16 Build 120228 Rel.37317n
Hardware version: WA701N v1 00000000

Router:
Manufacturer: EDIMAX
Model: BR-6214K
Firmware version: 1.40 2008/11/03 08:33:04

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Paweł Kowalik, just to clarify, are you connecting via 802.11n, 802.11g, both when this issue occurs?

tags: added: latest-firmware
Revision history for this message
Paweł Kowalik (pkowalik) wrote :

NetworkManager shows the 150Mb/s speed so it must be 802.11n. Should I switch the access point to 802.11g only mode and do the testing?

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Paweł Kowalik, it would help to know if using 802.11g has better performance than 802.11n 150.

Revision history for this message
Paweł Kowalik (pkowalik) wrote :

Alright, after switching to 802.11g (54Mb/s) I've noticed a small performance improvement while browsing websites. However there are still random "ping jumps" and the connection still drops (maybe 1-2 minutes later than usual at least).

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Paweł Kowalik, the issue you are reporting is an upstream one. Could you please report this problem to the appropriate mailing list (linux-wireless) by following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked via http://vger.kernel.org/vger-lists.html . It can take a day for the new e-mail to show up in the respective archive.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Medium → High
Revision history for this message
Paweł Kowalik (pkowalik) wrote :

The problem has been reported to the linux-wireless mailing list. If anyone is interested, here you can watch discussion:
http://thread.gmane.org/gmane.linux.kernel.wireless.general/138215

By the way, it's my first time using mailing lists and I'm not sure if I've done everything correctly. So if something is wrong with my report, please let me know.

Revision history for this message
Pilot6 (hanipouspilot) wrote :

I made a ppa with new Realtek wireless drivers. They fix most of issues. Theu can be installed by

sudo add-apt-repository ppa:hanipouspilot/rtlwifi
sudo apt-get update
sudo apt-get install rtlwifi-new-dkms linux-firmware

Note: For some usb dongles this combined driver does not work well. There is a standalone driver, that can be installed from same ppa

sudo apt-get installed by

sudo apt-get install rtl8192cu-dkms

There is also a bluetooth driver for rtl8723be/rtl8723au combo chip.

sudo apt-get install rtl8723au-bt-dkms

summary: - Realtek RTL8723BE drops connection until reboot
+ 10ec:b723 Realtek RTL8723BE drops connection until reboot
description: updated
summary: - 10ec:b723 Realtek RTL8723BE drops connection until reboot
+ 10ec:b723 [Lenovo B5400] Realtek RTL8723BE drops connection until reboot
Revision history for this message
Paweł Kowalik (pkowalik) wrote :

Pilot6, thank you for providing this PPA. After installing rtlwifi-new-dkms (0.5~trusty) and linux-firmware (1.144+ar3012) packages and rebooting, there are still random "ping jumps", but after about 20 hours of testing I can confirm that connection does not drop anymore. Please note that I was testing it on the current stable trusty kernel (3.16.0-38-generic #52~14.04.1-Ubuntu), not the upstream one.

Revision history for this message
Pilot6 (hanipouspilot) wrote :

Pawel,

This driver is supposed to work on current Ubuntu 3.16 and 3.19 kernels. It may be not perfect, but is the best that Realtek engineers made so far with help of other people. It has been tested and appear to be much better than the kernel driver so far.

Revision history for this message
Steven H (yakity-1) wrote :

I have this issue too on an HP Stream 11 (also uses RTL8723BE). For me the workaround setting fwlps=0 also seems to help. This is on 15.10 and 16.04 daily.

What I also experience is that sometimes after waking from sleep (about 1 in 10 times) the wifi will be in a complete unusable state, where it cannot even see any networks.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Paweł Kowalik, to advise, upstream has made a core change that may help here regarding the open source driver:
https://bugzilla.kernel.org/show_bug.cgi?id=105471

It wouldn't hurt to test this following https://wiki.ubuntu.com/Kernel/KernelBisection#Testing_a_newly_released_patch_from_upstream .

Revision history for this message
Paweł Kowalik (pkowalik) wrote :

Isn't this patch already in the 4.5 kernel in Ubuntu Mainline PPA , so I can just install it instead of compiling it on my own?

Commit: 7th March 2016
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/net/wireless/realtek/rtlwifi/core.c?id=49f86ec21c01b654f6ec47f2f4567f4f9ebaa26b

Kernel 4.5 release: 14th March 2016

Revision history for this message
Paweł Kowalik (pkowalik) wrote :

Anyway, I installed 4.5 kernel and nothing has changed. The connection still drops and ping is unstable

Ubuntu 14.04.4 with 4.5 mainline kernel:
454 packets transmitted, 52 received, +195 errors, 88% packet loss, time 453677ms
rtt min/avg/max/mdev = 23.400/93.024/489.076/94.095 ms, pipe 4

Windows 8.1:
    Packets: Sent = 50, Received = 50, Lost = 0 (0
Approximate round trip times in milli-seconds:
    Minimum = 23ms, Maximum = 69ms, Average = 29ms

tags: added: kernel-bug-exists-upstream-4.5
removed: kernel-bug-exists-upstream-4.1-rc5
Revision history for this message
Nemo_bis (nemobis) wrote :

https://bugzilla.kernel.org/show_bug.cgi?id=105471 is about a different card, is about latency rather than connection drops, and is marked solved. Do you want me to file this upstream? There are countless reports about this card, but none upstream. https://bugzilla.kernel.org/buglist.cgi?quicksearch=rtle8723be

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nemo_bis, unless the original reporter tested the latest mainline kernel (now 4.6-rc6), then it's not considered an upstream problem.

If you want to be helpful, and have a problem with your card, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Revision history for this message
Daniel Rocher (daniel-rocher) wrote :

same problem with ubuntu 16.04.

workaround works for me (options rtl8723be ips=0 fwlps=0).

Revision history for this message
RussianNeuroMancer (russianneuromancer) wrote :

Nemo, I think filling report here https://github.com/lwfinger/rtlwifi_new/issues make sense.

Revision history for this message
Nemo_bis (nemobis) wrote : Re: [Bug 1451233] Re: 10ec:b723 [Lenovo B5400] Realtek RTL8723BE drops connection until reboot

RussianNeuroMancer, 05/08/2016 02:04:
> Nemo, I think filling report here
> https://github.com/lwfinger/rtlwifi_new/issues make sense.

There seem to be 64 reports about RTL8723BE already:
https://github.com/lwfinger/rtlwifi_new/issues?utf8=%E2%9C%93&q=RTL8723BE

I'll just return the product and let HP sort it out if they want.

Revision history for this message
Paweł Kowalik (pkowalik) wrote :

Wow, it's been almost 2 years since I reported this bug and I think it's time to finally end it. I've decided to give Ubuntu one more chance on this problem and installed the 16.04.2 LTS version. After few days of testing my wireless connection remains stable without a single drop with default firmware and no workarounds applied. Latency may still not be perfect but I think that's not a problem for this bug report.

Linux 4.8.0-39-generic #42~16.04.1-Ubuntu SMP Mon Feb 20 15:06:07 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Pilot6 (hanipouspilot) wrote :

I confirm that. I am testing a new laptop with RTL8723BE since Tuesday. It is flawless with the 4.8 kernel.

Revision history for this message
Nemo_bis (nemobis) wrote :

Recent updates had a mixed effect: with Linux 4.9.11-200.fc25, the network manager sees more/all wifi networks and connects to them but then drops quickly.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Paweł Kowalik, as per
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1451233/comments/44 I am closing this report because the bug has been fixed by updating your package. Thanks for the feedback.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.